<html lang="nl">

<head>
  <title>Speedtest stats</title>
  <script type="text/javascript">
    let labels = {{ labels|tojson }};
    let downloadSeries = {{ downloadSeries|tojson }};
    let uploadSeries = {{ uploadSeries|tojson }};
  </script>
  <script type="text/javascript" src="Chart.bundle.min.js"></script>
</head>

<body>

<canvas id="speedtest-chart"></canvas>

<script type="text/javascript">
  var ctx = document.getElementById('speedtest-chart').getContext('2d');
  var chart = new Chart(ctx, {
    // The type of chart we want to create
    type: 'line',

    // The data for our dataset
    data: {
      labels: labels,
      datasets: [{
        label: 'Download',
        backgroundColor: 'rgb(154,93,104)',
        borderColor: 'rgb(255, 99, 132)',
        data: downloadSeries,
      }, {
        label: 'Upload',
        backgroundColor: 'rgb(169,193,169)',
        borderColor: 'rgb(99, 230, 132)',
        data: uploadSeries,
      },]
    },

    // Configuration options go here
    options: {}
  });
</script>
</body>

</html>
